import { EventEmitter } from '../../../stencil-public-runtime';
/**
 * Display a dialog that allows the user to specify a signature image, either by using a signature-font-generated image
 * based on their full name, or by hand-drawing their signature with a mouse or tablet.
 */
export declare class VerdocsSignatureDialog {
    private canvasElement?;
    /**
     * Initial signature text
     */
    name: string;
    /**
     * Fired when the user completes the dialog and clicks Adopt. The event detail will contain a base64-encoded string
     * representation of the signature adopted.
     */
    next: EventEmitter<string>;
    /**
     * Event fired when the step is cancelled. This is called exit to avoid conflicts with the JS-reserved "cancel" event name.
     */
    exit: EventEmitter;
    fontLoaded: boolean;
    enteredName: string;
    mode: string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    redrawSignature(): void;
    handleNameChange(e: any): void;
    handleCancel(e: any): void;
    handleAdopt(e: any): void;
    render(): any;
}
